import { ApplicationRepresentation, ApplicationStructureRepresentation } from '../domain';
import { State } from '../const';
import { ProcessHandler } from './ProcessHandler';
export declare class ApplicationHandler {
    state: State;
    appId: string;
    appRepresentation: ApplicationRepresentation;
    mountedProcesses: ProcessHandler[];
    private startTime;
    private structure;
    constructor(appRepresentation: ApplicationRepresentation);
    get appName(): string;
    get appDir(): string;
    get pids(): Array<number>;
    get startCount(): number;
    get restartCount(): number;
    get uptime(): number;
    getStructure(): Promise<ApplicationStructureRepresentation>;
    fillMounted(): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
    reload(processName: string): Promise<void>;
}
