import { State } from '../const';
import { ProcessRepresentation } from '../domain';
/**
 * Class ApplicationHandler
 */
export declare class ProcessHandler {
    state: State;
    processRepresentation: ProcessRepresentation;
    private forkedProcess;
    get appName(): string;
    get processName(): string;
    get appDir(): string;
    get pid(): number;
    startCount: number;
    constructor(processRepresentation: ProcessRepresentation);
    /**
     * Start application through fork
     * @return {Promise<void>}
     */
    start(): Promise<void>;
    protected doFork(args: any): Promise<void>;
    /**
     * Stop application through kill
     * @return {Promise<void>}
     */
    stop(): Promise<void>;
    /**
     * Reload application through process message
     * @param processName
     * @return {Promise<void>}
     */
    reload(processName?: any): Promise<void>;
}
